<?php
/*
Plugin Name: Wordpress Download Monitor Force CDN
Plugin URI: http://sezz.at/projects/wordpress/download-monitor-force-cdn
Description: Forces Wordpress Download Monitor to get all files from your CDN by changing the URL when requesting a download.
Version: 0.1
Author: Martin Karer
Author URI: http://sezz.at/
*/

function download_ready_to_start_cdn($d) {
	$cdn_host = 'your.cdn.host'; # CHANGE THIS!
	$urldata = parse_url($d->filename);
	
	$d->filename = $urldata['scheme'] . '://' . $cdn_host . $urldata['path'];

	return $d;
}

add_action('download_ready_to_start', 'download_ready_to_start_cdn');

?>